Debian Bug report logs - #21096
Lynx doesn't call external viewers properly

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Daniel Martin at cush <dtm12@jhunix.hcf.jhu.edu>

Date: Mon, 13 Apr 1998 21:18:26 UTC

Severity: normal

Found in version 2.8-1

Fixed in version lynx/2.8.4-1

Done: Adrian Bunk <bunk@fs.tum.de>

Bug is archived. No further changes may be made.

Forwarded to lynx-dev@sig.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#21096; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Daniel Martin at cush <dtm12@jhunix.hcf.jhu.edu>:
New bug report received and forwarded. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Martin at cush <dtm12@jhunix.hcf.jhu.edu>
To: submit@bugs.debian.org
Subject: Lynx doesn't call external viewers properly
Date: Mon, 13 Apr 1998 17:07:37 -0400
Package: lynx
Version: 2.8-1

When a mailcap entry has no %s in its line, a program wanting to
display something is supposed to feed the external viewer the file to
display on standard input.  Lynx doesn't do that.

Example:
In my ~/.mailcap, I have:
#mailcap entry added by Netscape Helper
audio/x-wav;/usr/bin/bplay

Now, metamail and netscape both interpret this to mean 'feed the file
to be displayed in on standard input' but lynx does not - when I try
to play a .wav file it just sits there (until I press Ctrl-D, as
expected).

Also, netscape interprets a %u in the mailcap to mean 'the url goes
here', but lynx seems to interpret the mailcap string as input to
printf.  (and so a %u ends up being "print the char * that is the
filename as an unsigned int") I'm not certain where the bug is, but am
willing to bet the blame lays with netscape for introducing
non-standard extensions into mailcap.  (But does lynx understand the
"standard" %t and %{ param } notation?  I should check...)


Noted your statement that Bug has been forwarded to lynx-dev@sig.net. Request was from 21096@bugs.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#21096; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org (Debian Bug Tracking System):
Extra info received and forwarded to list. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #12 received at 21096@bugs.debian.org (full text, mbox):

From: owner@bugs.debian.org (Debian Bug Tracking System)
To: 21096@bugs.debian.org
Cc: debian-bugs-forwarded@lists.debian.org (#21096), Christian Hudon <chrish@debian.org> (lynx #21096)
Subject: Processed: Standard mailcap handling
Date: Fri, 25 Aug 2000 17:07:13 -0500
Processing commands for control@bugs.debian.org:

> forwarded 21096 lynx-dev@sig.net
Bug#21096: Lynx doesn't call external viewers properly
Noted your statement that Bug has been forwarded to lynx-dev@sig.net.

> quit
Stopping processing here.

Please contact me if you need assistance.

Darren Benham
(administrator, Debian Bugs database)




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#21096; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #17 received at 21096@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: 21096@bugs.debian.org
Subject: upstream `addressed' this bug
Date: Fri, 29 Dec 2000 19:14:03 +0100
Hi,

From 2.8.4dev.8 changelog:

* implement %s, %t, %{charset} and %{encoding} substitutions for mailcap
  commands in HTFWriter.c (addresses Debian #21096) -TD

-- 
Digital Electronic Being Intended for Assassination and Nullification



Reply sent to Adrian Bunk <bunk@fs.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Martin at cush <dtm12@jhunix.hcf.jhu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 21096-close@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 21096-close@bugs.debian.org
Subject: Bug#21096: fixed in lynx 2.8.4-1
Date: Sun, 19 Aug 2001 14:59:30 -0400
We believe that the bug you reported is fixed in the latest version of
lynx, which has been installed in the Debian FTP archive:

lynx_2.8.4-1.dsc
  to pool/main/l/lynx/lynx_2.8.4-1.dsc
lynx_2.8.4-1_i386.deb
  to pool/main/l/lynx/lynx_2.8.4-1_i386.deb
lynx_2.8.4-1.diff.gz
  to pool/main/l/lynx/lynx_2.8.4-1.diff.gz
lynx_2.8.4.orig.tar.gz
  to pool/main/l/lynx/lynx_2.8.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 21096@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adrian Bunk <bunk@fs.tum.de> (supplier of updated lynx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 18 Aug 2001 16:22:26 +0200
Source: lynx
Binary: lynx
Architecture: source i386
Version: 2.8.4-1
Distribution: unstable
Urgency: high
Maintainer: Adrian Bunk <bunk@fs.tum.de>
Changed-By: Adrian Bunk <bunk@fs.tum.de>
Description: 
 lynx       - Text-mode WWW Browser
Closes: 21096 25968 40482 42859 45803 56639 63638 63641 65151 68542 80496 83249 83784 94604 105559
Changes: 
 lynx (2.8.4-1) unstable; urgency=high
 .
   * New maintainer.
   * New upstream release. (closes: #80496)
     This release fixes the following bugs:
     - %s, %t, %{charset} and %{encoding} substitutions for
       mailcap commands are now implemented. (closes: #21096)
     - The "<> in javascript causes premature </script>" problem
       is fixed. (closes: #65151)
     - A problem with the length of form fields is fixed.
       (closes: #68542)
     - The Japanese message catalog is now included.
       (closes: #63641)
     - The CPU-loop seems to be fixed. (closes: #25968)
   * /etc/lynx.cfg is now a conffile. (closes: #40482)
   * The default startfile is now the local helpfile (and there's
     no longer a question in the postinst).
     (closes: #105559, #83249, #83784)
   * Disable USE_MOUSE in the default configuration.
     (closes: #42859)
   * Set GLOBAL_EXTENSION_MAP and PERSONAL_EXTENSION_MAP in the
     default lynx.cfg. (closes: #94604)
   * Compiled with ncurses instead of slang.
   * Compiled with "--enable-warnings".
   * Compiled with "--enable-color-style".
   * Compiled with "--enable-default-colors". (closes: #45803)
   * Compiled with "--enable-file-upload". (closes: #56639)
   * Compiled with "--enable-ipv6".
   * Compiled with "--enable-justify-elts".
   * Compiled with "--enable-nested-tables".
   * Compiled with "--enable-read-eta".
   * Updated debian/copyright. (closes: #63638)
Files: 
 c3c28620d73877b3df1200f13a4ea1a3 607 web standard lynx_2.8.4-1.dsc
 90aa83a34ea7cb912386604e1ca73aa0 2556501 web standard lynx_2.8.4.orig.tar.gz
 daad12f30dd95c29c4deec45e851dcef 10777 web standard lynx_2.8.4-1.diff.gz
 833acf3c33c1cf99677f67cbae2966f7 1447276 web standard lynx_2.8.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE7f+ulmfzqmE8StAARAgxaAJ4gMb+0/CAYkWzw5fEmuqe4Fu734wCfc4tG
A3dZ2Y1yC0N0vGvNBRO8YsE=
=c01O
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:30:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.